Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List onboarding checklist

GET/workspaces/{organizationId}/onboarding-checklist
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Guided onboarding checklist state

organizationIdstringrequired
hasApiKeybooleanrequired
hasAgentProviderbooleanrequired
hasFirstIssuebooleanrequired
mcpUrlstringrequired
pluginManifestUrlstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/onboarding-checklist' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "organizationId": "string",
  "hasApiKey": true,
  "hasAgentProvider": true,
  "hasFirstIssue": true,
  "mcpUrl": "string",
  "pluginManifestUrl": "string"
}

Was this page helpful?